package com.jpsoft.shinestar.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @author 墨鱼_mo
 * @date 2020-4-13 14:47
 */
@Component
@ConfigurationProperties(prefix = "parking")
@Data
public class ParkingConfig {


    private String userName;
    private String ip;
    private String interfaceUrl;
    private String key;
}
