package com.jpsoft.shinestar.modules.base.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class CanteenInfoDTO {

    @ApiModelProperty(value = "ID")
    private String id;

    @ApiModelProperty(value = "食堂名称")
    private String name;

    @ApiModelProperty(value = "食堂位置")
    private String address;

    private String canbteenId;

    private String diningType;

    private BigDecimal outsourcerDiningFee1;

    private BigDecimal outsourcerDiningFee2;

    private BigDecimal outsourcerDiningFee3;

    private BigDecimal outsourcerDiningFee4;


    private String diningTimeRange1;

    private String diningTimeRange2;

    private String diningTimeRange3;

    private String diningTimeRange4;


}
