package com.jpsoft.shinestar.modules.base.dto;

import com.jpsoft.shinestar.modules.base.entity.PersonInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class CanteenOutsourcerRechargeRecordDTO {

    @ApiModelProperty(value = "充值人员集合")
    private List<PersonInfo> tags;
    @ApiModelProperty(value = "充值金额")
    private BigDecimal rechargeAmount;
    @ApiModelProperty(value = "备注")
    private String remark;
}
