package com.jpsoft.shinestar.modules.base.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author 墨鱼_mo
 * @date 2020-4-27 18:54
 */
@Data
public class WorkDTO {

    private String id;

    /**
     * 补卡记录id
     */
    private String supplementWorkPersonId;

    private String supplementWorkId;


    private String status;

    private String statusN;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    @ApiModelProperty(value = "记录时间")
    private Date recordTime;



    private String result;

    /**
     * 外勤打卡/补卡   （1/2）
     */
    private String type;

    private String workStatus;



}
