package com.jpsoft.shinestar.modules.base.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
  描述:base_activity_info的实体类
 */
@Data
@ApiModel(value = "base_activity_info的实体类")
public class ActivityInfo {
        @ApiModelProperty(value = "编号")
    private String id;
        @ApiModelProperty(value = "标题")
    private String title;
        @ApiModelProperty(value = "内容")
    private String content;
        @ApiModelProperty(value = "封面")
    private String frontCover;
        @DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	    @ApiModelProperty(value = "起始时间")
    private Date startTime;
        @DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	    @ApiModelProperty(value = "截止时间")
    private Date endTime;
        @ApiModelProperty(value = "申请人")
    private String applicant;
        @ApiModelProperty(value = "房号")
    private String roomNumber;
        @DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	    @ApiModelProperty(value = "申请时间")
    private Date applicationTime;
        @ApiModelProperty(value = "审核是否通过(0-待审核,1-已批准,2-未批准)")
    private Integer verify;
        @ApiModelProperty(value = "是否删除")
    private Boolean delFlag;
        @ApiModelProperty(value = "")
    private String createBy;
        @DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	    @ApiModelProperty(value = "")
    private Date createTime;
        @ApiModelProperty(value = "")
    private String updateBy;
        @DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	    @ApiModelProperty(value = "")
    private Date updateTime;
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
    @ApiModelProperty(value = "审核时间")
    private Date verifyTime;
    @ApiModelProperty(value = "审核意见")
    private String verifyMsg;
}