package com.jpsoft.shinestar.modules.base.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
  描述:base_canteen_dining的实体类
 */
@Data
public class CanteenDining {
	private String id;
	private String canbteenId;
	private String diningType;
	private BigDecimal diningFee;
	private BigDecimal outsourcerDiningFee;
	private String diningTime;
	private String createBy;
	private Date createTime;
	private String updateBy;
	private Date updateTime;
	private Boolean delFlag;

	@ApiModelProperty(value = "就餐时间范围（用于显示）")
	private String diningTimeRange;

	private String diningTypeName;

}