package com.jpsoft.shinestar.modules.base.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
  描述:base_canteen_outsourcer_balance的实体类
 */
@Data
@ApiModel(value = "base_canteen_outsourcer_balance的实体类")
public class CanteenOutsourcerBalance {
        @ApiModelProperty(value = "")
    private String id;
        @ApiModelProperty(value = "人员编号")
    private Long personId;
        @ApiModelProperty(value = "卡号")
    private String cardNumber;
        @ApiModelProperty(value = "余额")
    private BigDecimal amount;
        @DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	    @ApiModelProperty(value = "上次充值时间")
    private Date lastRechargeTime;
        @DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	    @ApiModelProperty(value = "最后进餐时间")
    private Date lastUseTime;
        @ApiModelProperty(value = "创建人")
    private String createBy;
        @DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	    @ApiModelProperty(value = "创建时间")
    private Date createTime;
        @ApiModelProperty(value = "更新人")
    private String updateBy;
        @DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
        @ApiModelProperty(value = "是否删除")
    private Boolean delFlag;
}