package com.jpsoft.shinestar.modules.base.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
  描述:base_canteen_outsourcer_recharge_record的实体类
 */
@Data
@ApiModel(value = "base_canteen_outsourcer_recharge_record的实体类")
public class CanteenOutsourcerRechargeRecord {
        @ApiModelProperty(value = "")
    private String id;
        @ApiModelProperty(value = "人员编号")
    private Long personId;
        @ApiModelProperty(value = "卡号")
    private String cardNumber;
        @ApiModelProperty(value = "充值金额")
    private BigDecimal rechargeAmount;
        @ApiModelProperty(value = "备注")
    private String remark;
        @ApiModelProperty(value = "创建人")
    private String createBy;
        @DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	    @ApiModelProperty(value = "创建时间")
    private Date createTime;
        @ApiModelProperty(value = "更新人")
    private String updateBy;
        @DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
        @ApiModelProperty(value = "是否删除")
    private Boolean delFlag;


    @ApiModelProperty(value = "人员姓名")
    private String personName;
    @ApiModelProperty(value = "工号")
    private String jobNumber;
    @ApiModelProperty(value = "操作人")
    private String createName;
}