package com.jpsoft.shinestar.modules.base.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
  描述:base_company_position的实体类
 */
@Data
@ApiModel(value = "base_company_position的实体类")
public class CompanyPosition {
	/**
	 *
	 */
        @ApiModelProperty(value = "")
	private String id;
	/**
	 *企业编号
	 */
        @ApiModelProperty(value = "企业编号")
	private String companyId;
	/**
	 *位置1名称
	 */
        @ApiModelProperty(value = "位置1名称")
	private String position1Name;
	/**
	 *位置2名称
	 */
        @ApiModelProperty(value = "位置2名称")
	private String position2Name;
	/**
	 *位置3名称
	 */
        @ApiModelProperty(value = "位置3名称")
	private String position3Name;
	/**
	 *位置4名称
	 */
        @ApiModelProperty(value = "位置4名称")
	private String position4Name;
	/**
	 *位置5名称
	 */
        @ApiModelProperty(value = "位置5名称")
	private String position5Name;
	/**
	 *创建人
	 */
        @ApiModelProperty(value = "创建人")
	private String createBy;
	/**
	 *创建时间
	 */
    	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	    @ApiModelProperty(value = "创建时间")
	private Date createTime;
	/**
	 *更新人
	 */
        @ApiModelProperty(value = "更新人")
	private String updateBy;
	/**
	 *更新时间
	 */
    	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	    @ApiModelProperty(value = "更新时间")
	private Date updateTime;
	/**
	 *是否删除
	 */
        @ApiModelProperty(value = "是否删除")
	private Boolean delFlag;
}