package com.jpsoft.shinestar.modules.base.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;
import java.util.List;

import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
  描述:base_meeting_time的实体类
 */
@Data
public class MeetingTime {
	private String id;
	private String meetingId;
	private Date meetingDate;
	private String meetingTime;
	private String startSignInTime;
	private String endSignInTime;
	private String createBy;
	private Date createTime;
	private String updateBy;
	private Date updateTime;
	private Boolean delFlag;

	private String meetingTimeRange;
	private String startSignInTimeRange;
	private String endSignInTimeRange;

	private String[] meetingTimeArray;
	private String[] startSignInTimeArray;
	private String[] endSignInTimeArray;

	private String meetingDateStr;
}