package com.jpsoft.shinestar.modules.base.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
  描述:base_message_notice_company的实体类
 */
@Data
@ApiModel(value = "base_message_notice_company的实体类")
public class MessageNoticeCompany {
	/**
	 *编号
	 */
        @ApiModelProperty(value = "编号")
	private String id;
	/**
	 *单位编号
	 */
        @ApiModelProperty(value = "单位编号")
	private String companyId;
	/**
	 *通知消息ID
	 */
        @ApiModelProperty(value = "通知消息ID")
	private String noticeId;
	/**
	 *创建人
	 */
        @ApiModelProperty(value = "创建人")
	private String createBy;
	/**
	 *创建时间
	 */
    	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	    @ApiModelProperty(value = "创建时间")
	private Date createTime;
	/**
	 *更新人
	 */
        @ApiModelProperty(value = "更新人")
	private String updateBy;
	/**
	 *更新时间
	 */
    	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	    @ApiModelProperty(value = "更新时间")
	private Date updateTime;
	/**
	 *是否删除
	 */
        @ApiModelProperty(value = "是否删除")
	private Boolean delFlag;
}