package com.jpsoft.shinestar.modules.base.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
  描述:base_parking_channel的实体类
 */
@Data
@ApiModel(value = "base_parking_channel的实体类")
public class ParkingChannel {
        @ApiModelProperty(value = "")
    private String id;
        @ApiModelProperty(value = "停车云返回的车道id")
    private String channelId;
        @ApiModelProperty(value = "车道名称")
    private String channelName;
        @ApiModelProperty(value = "停车云创建的车场id")
    private Long parkId;
        @ApiModelProperty(value = "是否删除")
    private Boolean delFlag;
        @ApiModelProperty(value = "")
    private String createBy;
        @DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	    @ApiModelProperty(value = "")
    private Date createTime;
        @ApiModelProperty(value = "")
    private String updateBy;
        @DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	    @ApiModelProperty(value = "")
    private Date updateTime;
}