package com.jpsoft.shinestar.modules.base.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author 墨鱼_mo
 * @date 2020-5-22 16:39
 */
@Data
@ApiModel(value = "base_parking_device的实体类")
public class ParkingDevice {

    /**
     *主键
     */
    @ApiModelProperty(value = "主键")
    private Long id;
    /**
     * 编号
     */
    @ApiModelProperty(value = "道闸编号")
    private String parkDeviceNo;
    /**
     * 名称
     */
    @ApiModelProperty(value = "道闸名称")
    private String parkDeviceName;



    @ApiModelProperty(value = "ip_port")
    private String ipPort;


    private String key;

    /**
     * 是否删除
     */
    @ApiModelProperty(value = "是否删除")
    private Boolean delFlag;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private String createBy;
    /**
     * 创建时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * 更新人
     */
    @ApiModelProperty(value = "更新人")
    private String updateBy;

    /**
     * 更新时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

}
