package com.jpsoft.shinestar.modules.base.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
  描述:base_parking_info的实体类
 */
@Data
public class ParkingInfo {
	private String id;
	private long parkId;
	private String createBy;
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	private Date createTime;
	private String updateBy;
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	private Date updateTime;
	private Boolean delFlag;
	private String parkingName;
	private String parentId;
	private String parentName;
	private BigDecimal parkingPrice;
	private Integer rentPrice;
	private String contractType;
	private String ownerId;
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	private Date effectiveTime;
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	private Date expirationTime;
	private String companyId;
	private String companyName;
	private String picUrl;
	private String code;
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	private Date applyEndTime;
	private Boolean parkingFlag;


}