package com.jpsoft.shinestar.modules.base.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
  描述:base_parking_merchant的实体类
 商户管理
 */
@Data
@ApiModel(value = "base_parking_merchant的实体类")
public class ParkingMerchant {
        @ApiModelProperty(value = "")
    private String id;
        @ApiModelProperty(value = "商户编号")
    private String merchantNo;
        @ApiModelProperty(value = "商户名称")
    private String merchantName;
        @ApiModelProperty(value = "所属物业公司")
    private String companyId;
    @ApiModelProperty(value = "所属物业公司")
    private String companyName;
        @ApiModelProperty(value = "商户生成的操作者编号")
    private String operatorNo;
        @ApiModelProperty(value = "操作者秘密")
    private String operatorPassword;
        @ApiModelProperty(value = "优惠券类型（3：时长减免券，4：全免券，5：金额减免券）")
    private String type;
    @ApiModelProperty(value = "优惠券类型（3：时长减免券，4：全免券，5：金额减免券）")
    private String typeName;
        @ApiModelProperty(value = "优惠额度")
    private Integer reduce;
        @ApiModelProperty(value = "绑定的openId")
    private String openId;
        @ApiModelProperty(value = "是否删除")
    private Boolean delFlag = false;
        @ApiModelProperty(value = "")
    private String createBy;
        @DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	    @ApiModelProperty(value = "")
    private Date createTime;
        @ApiModelProperty(value = "")
    private String updateBy;
        @DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	    @ApiModelProperty(value = "")
    private Date updateTime;
}