package com.jpsoft.shinestar.modules.base.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
  描述:base_parking_merchant_binder的实体类
 */
@Data
@ApiModel(value = "base_parking_merchant_binder的实体类")
public class ParkingMerchantBinder {
        @ApiModelProperty(value = "")
    private String id;
        @ApiModelProperty(value = "绑定者姓名")
    private String name;
        @ApiModelProperty(value = "昵称")
    private String nickName;
        @ApiModelProperty(value = "头像url")
    private String picUrl;
        @ApiModelProperty(value = "openId")
    private String openId;
        @ApiModelProperty(value = "手机号码")
    private String phone;
        @ApiModelProperty(value = "绑定的商户id")
    private String parkMerchantId;
        @ApiModelProperty(value = "是否删除")
    private Boolean delFlag = false;
        @ApiModelProperty(value = "")
    private String createBy;
        @DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	    @ApiModelProperty(value = "")
    private Date createTime;
        @ApiModelProperty(value = "")
    private String updateBy;
        @DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	    @ApiModelProperty(value = "")
    private Date updateTime;
}