package com.jpsoft.shinestar.modules.base.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
  描述:base_parking_way的实体类
 */
@Data
@ApiModel(value = "base_parking_way的实体类")
public class ParkingWay {
        @ApiModelProperty(value = "")
    private String id;
        @ApiModelProperty(value = "公司id")
    private String companyId;
        @ApiModelProperty(value = "购买方式")
    private String name;
        @ApiModelProperty(value = "金额")
    private BigDecimal money;
        @ApiModelProperty(value = "序号")
    private Integer sort;
        @ApiModelProperty(value = "是否删除")
    private Boolean delFlag;
        @ApiModelProperty(value = "")
    private String createBy;
        @DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	    @ApiModelProperty(value = "")
    private Date createTime;
        @ApiModelProperty(value = "")
    private String updateBy;
        @DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	    @ApiModelProperty(value = "")
    private Date updateTime;
}