package com.jpsoft.shinestar.modules.base.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
  描述:base_person_family的实体类
 */
@Data
public class PersonFamily {
	private String id;
	private String popedomId;
	private String name;
	private String phone;
	private String idCard;
	private String faceImageUrl;
	private Boolean delFlag;
	private String createBy;
	private Date createTime;
	private String updateBy;
	private Date updateTime;


	@ApiModelProperty(value = "性别(1：男，2：女)")
	private String sex;

	@ApiModelProperty(value = "类型(0：家庭成员，1：租户)")
	private String type;

}