package com.jpsoft.shinestar.modules.business.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * @author 墨鱼_mo
 * @date 2021-4-28 19:49
 */
@Data
public class ExamineDetailDTO {

    /**
     *完成时间
     */
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
    @ApiModelProperty(value = "完成时间")
    private Date finishTime;

    private String action;

    private String actionName;

    private String remark;

    private String operation;

    private String source;

    private String desc;

    private List<ExaminePersonDetailDTO> examinePersonDetailDTOList;

    private List<ExaminePersonDetailDTO> ccPersonDetailDTOList;


}
