package com.jpsoft.shinestar.modules.business.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class GuestRecordDTO {

    @ApiModelProperty(value = "id")
    private String id;

    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
    @ApiModelProperty(value = "来访日期")
    private Date visitDate;

    @ApiModelProperty(value = "来访人姓名")
    private String name;

    @ApiModelProperty(value = "来访人单位")
    private String unit;

    @ApiModelProperty(value = "来访人事由")
    private String visitReasons;

    @ApiModelProperty(value = "状态（0：待确认，1：已确认，2：已过期）")
    private Integer status;

    @ApiModelProperty(value = "状态中文")
    private String statusN;
}
