package com.jpsoft.shinestar.modules.constant;

/**
 * @author 墨鱼_mo
 * @date 2020-3-15 9:50
 */
public class LApiConstant {

    /**
     * 获取设备的基本信息。
     */
    public static final String DEVICEBASICINFO = "/LAPI/V1.0/System/DeviceBasicInfo";

    /**
     * 获取设备的在线状态，可每隔 3s 获取一次
     */
    public static final String KEEPALIVE = "/LAPI/V1.0/System/KeepAlive";


    /**
     * 上传人脸接口url
     */
    public static final String PEOPLE_LIBRARIES = "/LAPI/V1.0/PeopleLibraries/";

    /**
     * 获取人脸库url
     */
    public static final String GETFACEDB = "/LAPI/V1.0/PeopleLibraries/BasicInfo";

    /**
     * 删除人脸数据
     */
    public static final String DELETEPERSON = "/LAPI/V1.0/PeopleLibraries/";

    /**
     * 远程开门
     */
    public static final String REMOTEOPENED = "/LAPI/V1.0/PACS/Controller/RemoteOpened";

    /**
     * 重启设备
     */
    public static final String REBOOT = "/LAPI/V1.0/System/Reboot";

    /**
     * 添加人脸库
     */
    public static final String ADDLIBRARY = "/LAPI/V1.0/PeopleLibraries/BasicInfo";

    /**
     * 删除人脸库
     */
    public static final String DELETELIBRARY = "/LAPI/V1.0/PeopleLibraries/";

    /**
     * 修改设备人脸库名称
     */
    public static final String UPDATALIBRARY = "/LAPI/V1.0/PeopleLibraries/BasicInfo";


    /**
     * 设备验证规则
     */
    public static final String RULE = "/LAPI/V1.0/PACS/Controller/AttributeVerification/Rule";

    /**
     * 设备服务器
     */
    public static final String DATASERVERS = "/LAPI/V1.0/Channels/0/System/DataServers";

    /**
     * 设备校验模式修改
     */
    public static final String OPENDOORMODE = "/LAPI/V1.0/PACS/Controller/OpenDoorMode";

    /**
     * 人机显示控制
     */
    public static final String GUIShowInfo = "/LAPI/V1.0/PACS/Controller/GUIShowInfo";
    public static final String LongConnectionInfo = "/LAPI/V1.0/PACS/Controller/LongConnectionInfo";
    public static final String FACE_DETECTION_RULE = "/LAPI/V1.0/Smart/FaceDetection/Rule";
}
