package com.jpsoft.shinestar.modules.realname.dto;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@NoArgsConstructor
@Data
public class CorpDTO {

    /**
     * SOCIALCREDITCODE : 91320100MA1MK8H24G
     * PROJECTCODE : 4201051561042227178
     * COMPANYTYPE : 2
     * NAME : 南京中建劳务有限公司
     * OFFICEADDRESS : 南京市
     * REGISTEREDAREA : 420101
     * REGISTEREDADDRESS : 江苏省南京市
     * LEGALPERSON : 小刚
     * LEGALPERSONPHONE : 13222222222
     * PROJECTLEADER : 项目
     * PROJECTLEADERPHONE : 15112341234
     * LABORLEADER : 项目
     * LABORLEADERPHONE : 13533332222
     * DESPOSIT : 1000.0
     * REGISTERDATE : 2010-03-23
     */
    @JSONField(name="SOCIALCREDITCODE")
    private String socialCreditCode;
    @JSONField(name="PROJECTCODE")
    private String projectCode;
    @JSONField(name="COMPANYTYPE")
    private int companyType;
    @JSONField(name="NAME")
    private String name;
    @JSONField(name="OFFICEADDRESS")
    private String officeAddress;
    @JSONField(name="REGISTEREDAREA")
    private String registeredArea;
    @JSONField(name="REGISTEREDADDRESS")
    private String registeredAddress;
    @JSONField(name="LEGALPERSON")
    private String legalPerson;
    @JSONField(name="LEGALPERSONPHONE")
    private String legalPersonPhone;
    @JSONField(name="PROJECTLEADER")
    private String projectLeader;
    @JSONField(name="PROJECTLEADERPHONE")
    private String projectLeaderPhone;
    @JSONField(name="LABORLEADER")
    private String laborLeader;
    @JSONField(name="LABORLEADERPHONE")
    private String laborLeaderPhone;
    @JSONField(name="PROJECTMANAGER")
    private String projectManager;
    @JSONField(name="PROJECTMANAGERPHONE")
    private String projectManagerPhone;
    @JSONField(name="DESPOSIT")
    private BigDecimal desposit;
    @JSONField(name="REGISTERDATE")
    private String registerDate;
}
