package com.jpsoft.shinestar.modules.realname.dto;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class ProjectDTO {

    /**
     * ADDRESS : 湖北省
     * CONTRACTPRICE : 80000
     * DEPARTMENTINDUSTRYID : 5
     * DISTRICTCCODE : 420105
     * DISTRICTCODE : 420105
     * ENDTIME : 859
     * GCPROCESS : 1
     * LATLNG : 114.225446,30.560052
     * MONEYSOURCE : 86
     * NAME : 万科国际
     * PROJECTDESC : .
     * PROJECTTYPE : 14
     * STARTTIME : 2018-11-02
     */
    @JSONField(name = "ADDRESS")
    private String address;
    @JSONField(name = "CONTRACTPRICE")
    private BigDecimal contractPrice;
    @JSONField(name = "DEPARTMENTINDUSTRYID")
    private String departmentIndustryId;
    @JSONField(name = "DISTRICTCCODE")
    private String districtCCode;
    @JSONField(name = "DISTRICTCODE")
    private String districtCode;
    @JSONField(name = "ENDTIME")
    private String endTime;

    /**
     * 工程进度。1：在建，2：完工，3：停工
     */
    @JSONField(name = "GCPROCESS")
    private String gcProcess;

    @JSONField(name = "LATLNG")
    private String latLng;

    /**
     * 编码	资金来源
     * 129	政府投资
     * 130	社会资本
     * 131	其他资本
     */
    @JSONField(name = "MONEYSOURCE")
    private String moneySource;

    @JSONField(name = "NAME")
    private String name;

    @JSONField(name = "PROJECTDESC")
    private String projectDesc;
    /**
     * 编码	项目类型
     * 117	房屋建筑工程
     * 118	市政公用工程
     * 119	机电安装工程
     * 120	铁路工程公路工程
     * 121	港口与航道工程
     * 122	水利水电工程
     * 123	电力工程
     * 124	矿山工程
     * 125	冶炼工程
     * 126	化工石油工程
     * 127	通信工程
     * 128	其它
     */
    @JSONField(name = "PROJECTTYPE")
    private String projectType;

    @JSONField(name = "STARTTIME")
    private String startTime;
}
