package com.jpsoft.shinestar.modules.sys.entity;

import java.util.Date;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
  描述:sys_user的实体类
 */
@Data
@ApiModel(value = "sys_user的实体类")
public class User {
	private String id;
	private String companyId;
	private String companyName;
	private String userName;
	private String password;
	private String realName;
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	@ApiModelProperty(value = "创建时间")
	private Date createTime;
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	@ApiModelProperty(value = "修改时间")
	private Date updateTime;
	private Boolean delFlag;
	private String createBy;
	private String updateBy;
	private List<String> roles;
	private String openId;
	private List<String> otherCompanyIds;
}