package com.jpsoft.ehome.config;

import lombok.Data;
import lombok.ToString;

@Data
@ToString
public class EHomeParamConfig {
    private short alarmUdpPort = 7332;
    /**
     * 目前/报警服务器类型为0- 只支持UDP协议上报，暂未使用tcp
     */
    private short alarmTcpPort = 7333;
    private short pictureServerTcpPort = 6011;
    private short cmsUdpPort = 7660;

    private String localIP;
    private String remoteIP;

    //lib库文件要放在target同级目录，否则日志中会报加载dll失败
    private String libPath;
    private String logPath;

    private String urlPrefix;

    private String picPath;
}
