package com.jpsoft.uniview.handler;

import cn.hutool.json.JSONObject;
import com.jpsoft.uniview.dto.LapiResponse;
import io.netty.channel.ChannelHandler;
import io.netty.channel.ChannelHandlerContext;
import io.netty.channel.SimpleChannelInboundHandler;
import lombok.extern.slf4j.Slf4j;

import java.util.concurrent.BlockingQueue;

@Slf4j
@ChannelHandler.Sharable
public class ResponseDataHandler extends SimpleChannelInboundHandler<LapiResponse> {
    @Override
    protected void channelRead0(ChannelHandlerContext ctx, LapiResponse msg) throws Exception {
        JSONObject jsonObject = msg.getData();
        log.warn(jsonObject.toString());
    }
}
