package com.jpsoft.shinestar.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Data
@Component
@ConfigurationProperties(prefix = "aliyun.live")
public class AliyunLiveConfig {
    private String regionId;
    private String accessKeyId;
    private String accessKeySecret;
    private String pushStreamUrl;
    private String pushKey;
    private String pullStreamUrl;
    private String pullKey;
    private String screenshotUrl;
    private String appName;
}
