package com.jpsoft.shinestar.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Data
@Component
@ConfigurationProperties(prefix = "hikvision.acs")
public class HikvisionAcsConfig {
    private String baseUrl;
    private String keepAliveUrl;
    private String rebootUrl;
    private String existPersonInDeviceUrl;
    private String remoteOpenUrl;
    private String deletePersonFromDeviceUrl;
    private String addPersonToDeviceUrl;
    private String serverConfigUrl;
}
