package com.jpsoft.shinestar.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Data
@Component
@ConfigurationProperties(prefix = "ys")
public class YsConfig {
    private String freeAppKey;
    private String freeAppSecret;

    private String payAppKey;
    private String payAppSecret;

    private String tokenUrl;
    private String liveAddressUrl;
    private String deviceInfoUrl;
    private String deviceCaptureUrl;
}
