package com.jpsoft.shinestar.modules.base.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class CompanyGoodInfoDTO {

    private String id;
    private String companyId;
    private String goodsId;
    private Boolean delFlag;
    private String createBy;
    private Date createTime;
    private String updateBy;
    private Date updateTime;

    @ApiModelProperty(value = "单价")
    private BigDecimal unitPrice;

    private String goodsName;

    private String goodTypeId;
}
