package com.jpsoft.shinestar.modules.base.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class EpidemicReportDTO {

    @ApiModelProperty(value = "编号")
    private String id;

    @ApiModelProperty(value = "人员ID")
    private Long personId;

    @ApiModelProperty(value = "人员姓名")
    private String name;

    @ApiModelProperty(value = "联系方式")
    private String phone;

    @ApiModelProperty(value = "内容")
    private String content;

    @ApiModelProperty(value = "图片")
    private String img;

    @ApiModelProperty(value = "状态（0：上传失败/1：上传成功）")
    private String status;

    @ApiModelProperty(value = "状态（中文）")
    private String statusN;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
}
