package com.jpsoft.shinestar.modules.base.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class GoodsInfoDTO {

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "名称")
    private String name;


    @ApiModelProperty(value = "描述")
    private String desc;

    @ApiModelProperty(value = "图片")
    private String pic;


    @ApiModelProperty(value = "费用")
    private BigDecimal cost;

    @ApiModelProperty(value = "类别（1：校车，2：保险）")
    private String type;

    @ApiModelProperty(value = "类别（1：校车，2：保险）")
    private String typeN;


    @ApiModelProperty(value = "是否激活")
    private Boolean isActivation;

    @ApiModelProperty(value = "单价")
    private BigDecimal unitPrice;

    @ApiModelProperty(value = "单位")
    private String unit;
}
