package com.jpsoft.shinestar.modules.base.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * @author 墨鱼_mo
 * @date 2020-10-10 14:55
 */
@Data
public class IconInfoDTO {

    private String id;
    @ApiModelProperty(value = "图标名称")
    private String iconName;
    @ApiModelProperty(value = "图标路由")
    private String iconRoute;
    @ApiModelProperty(value = "图标url")
    private String iconUrl;
    @ApiModelProperty(value = "是否启用")
    private Boolean useEnable;
    @ApiModelProperty(value = "图标图片地址")
    private String iconPic;
    @ApiModelProperty(value = "图标类型id")
    private String iconTypeId;
    @ApiModelProperty(value = "图标类型名称")
    private String iconTypeName;

    private Map<String,Object> iconParam;
    @ApiModelProperty(value = "图标子路由")
    private List<String> iconSubRouteList;
    private String iconCommonPic;
}
