package com.jpsoft.shinestar.modules.base.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class InformationInfoDTO {

    @ApiModelProperty(value = "ID")
    private String id;

    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "业主姓名")
    private String name;

    @ApiModelProperty(value = "业主电话")
    private String phone;

    @ApiModelProperty(value = "报修人房号")
    private String community;

    @ApiModelProperty(value = "内容")
    private String content;

    @ApiModelProperty(value = "状态")
    private String status;

    @ApiModelProperty(value = "回复内容")
    private String returnContent;

    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
    @ApiModelProperty(value = "创建时间")
    private Date returnTime;

    @ApiModelProperty(value = "类型（1：投诉建议，2：报事报修）")
    private String type;
    @ApiModelProperty(value = "所拥有的公司角色名称")
    private String mechanism;
}
