package com.jpsoft.shinestar.modules.base.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author 墨鱼_mo
 * @date 2021-3-6 10:32
 */
@Data
public class OutParkDateDTO {

    private String park_id;

    private String car_number;

    private String card_number;

    private Integer in_time;

    private Integer out_time;

    private String uid;

    private String in_optcode;

    private String in_optname;

    private String ouid;

    private Integer duration;

    private String c_type;

    private String car_type;

    private String out_type;

    private String pay_type;

    @ApiModelProperty(value = "支付方式  0=现金 ，1=微信，2=支付宝")
    private Integer pay_channel;

    private String auth_code;

    private Integer empty_plot;

    private String total;

    private String order_id;

    private String out_order_id;

    private String freereasons;

    private String in_channel_id;

    private String in_channel;

    private String out_channel_id;

    private String out_channel;

    private String out_image;

    private String reduce_amount;

    private String amount_receivable;

    private String remark;

    private String invoice_url;

    private String sign;


    public static String getPayType(Integer pay_channel){

        String payName = null;
        if (pay_channel == 0){
            payName = "cash";
        }
        if (pay_channel == 1){
            payName = "wechat";
        }
        if (pay_channel == 2){
            payName = "alipay";
        }

        return payName;

    }
}
