package com.jpsoft.shinestar.modules.base.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author 墨鱼_mo
 * @date 2021-3-9 9:40
 */
@Data
public class ParkingDetailDTO {

    private String id;

    @ApiModelProperty(value = "车牌")
    private String carNumber;

    @ApiModelProperty(value = "商户名称")
    private String merchantName;

    @ApiModelProperty(value = "停车场名称")
    private String parkingName;

    @ApiModelProperty(value = "进场时间")
    private String inParkingTime;

    @ApiModelProperty(value = "停车时间")
    private String parkingTime;

    @ApiModelProperty(value = "优惠金额")
    private Integer discountMoney;

    @ApiModelProperty(value = "总金额")
    private Integer total;

    @ApiModelProperty(value = "订单金额")
    private Integer price;


}
