package com.jpsoft.shinestar.modules.base.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author 墨鱼_mo
 * @date 2020-10-24 9:53
 */
@Data
public class ParkingInfoDTO {

    private String id;

    @ApiModelProperty(value = "名字")
    private String parkingName;

    @ApiModelProperty(value = "是否有下一级")
    private Boolean hasNext;

    @ApiModelProperty(value = "能否租出")
    private Boolean enableLease;

    @ApiModelProperty(value = "剩余车位数量")
    private Integer number;
}
