package com.jpsoft.shinestar.modules.base.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class PersonFamilyDTO {

    @ApiModelProperty(value = "主键")
    private String id;

    @ApiModelProperty(value = "家庭成员姓名")
    private String name;

    @ApiModelProperty(value = "家庭成员电话")
    private String phone;

    @ApiModelProperty(value = "家庭成员身份证")
    private String idCard;

    @ApiModelProperty(value = "家庭成员人脸识别照片")
    private String faceImageUrl;

    @ApiModelProperty(value = "小区名称")
    private String companyName;

    @ApiModelProperty(value = "房号")
    private String structureName;

    @ApiModelProperty(value = "类型(0：家庭成员，1：租户)")
    private String type;
}
