package com.jpsoft.shinestar.modules.base.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * @author 墨鱼_mo
 * @date 2020-4-27 10:22
 */
@Data
public class WorkAttendanceDTO {

    private Long personId;

    private String personName;

    private String faceImageUrl;

    private String status;

    private String approvalPersonName;

    private String approvalContent;

    private String typeN;

    private String type;

    private String approvalNo;

    private String companyName;

    private String fillAttendanceDayAndTime;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    @ApiModelProperty(value = "创建时间")
    private Date attendanceTime;
    private String content;

    private String fillAttendanceFilesUrl;

    @ApiModelProperty(value = "经度")
    private String longitude;

    @ApiModelProperty(value = "纬度")
    private String latitude;

    @ApiModelProperty(value = "地址")
    private String address;

    @ApiModelProperty(value = "备注")
    private String remark;

    private List<ApprovalDTO> list;

    private Boolean approvalEnable;



}
