package com.jpsoft.shinestar.modules.base.entity;

import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel(value = "base_check_num_company的实体类")
public class CheckNumCompany {
    /**
     * id
     */
    private Long id;

    /**
     * 公司id
     */
    private String companyId;

    /**
     * 检测人数
     */
    private Long checkNum;


    /**
     * 正常人数
     */
    private Long normalNum;

    /**
     * 异常人数
     */
    private Long abnormalNum;

    /**
     * 记录时间
     */
    private String recordTime;

    /**
     * 是否删除
     */
    private Boolean delFlag;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新人
     */
    private String updateBy;

    /**
     * 更新时间
     */
    private Date updateTime;


}

