package com.jpsoft.shinestar.modules.base.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
  描述:base_company_good_type的实体类
 */
@Data
@ApiModel(value = "base_company_good_info的实体类")
public class CompanyGoodInfo {
	private String id;
	private String companyId;
	private String goodsId;
	private Boolean delFlag;
	private String createBy;
	private Date createTime;
	private String updateBy;
	private Date updateTime;

	@ApiModelProperty(value = "单价")
	private BigDecimal unitPrice;

}