package com.jpsoft.shinestar.modules.base.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
  描述:base_icon_info的实体类
 */
@Data
@ApiModel(value = "base_icon_info的实体类")
public class IconInfo {
    @ApiModelProperty(value = "")
	private String id;
    @ApiModelProperty(value = "图标名称")
	private String iconName;
    @ApiModelProperty(value = "图标路由")
	private String iconRoute;
    @ApiModelProperty(value = "图标子页面路由")
    private String iconSubRoute;
    @ApiModelProperty(value = "图标url")
	private String iconUrl;
    @ApiModelProperty(value = "是否启用")
	private Boolean useEnable;
    @ApiModelProperty(value = "是否启用名")
    private String useEnableName;
    @ApiModelProperty(value = "图标图片")
	private String iconPic;
    @ApiModelProperty(value = "图标类型id")
	private String iconTypeId;
    @ApiModelProperty(value = "图标类型名称")
    private String iconTypeName;
    @ApiModelProperty(value = "图标参数")
    private String iconParam;
    @ApiModelProperty(value = "是否删除")
	private Boolean delFlag;
    @ApiModelProperty(value = "创建人")
	private String createBy;
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
    @ApiModelProperty(value = "创建时间")
	private Date createTime;
    @ApiModelProperty(value = "更新人")
	private String updateBy;
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
    @ApiModelProperty(value = "更新时间")
	private Date updateTime;
    @ApiModelProperty(value = "备注信息")
	private String remark;
    @ApiModelProperty(value = "图标通用图片")
    private String iconCommonPic;
    @ApiModelProperty(value = "排序")
    private Long sortNo;
}