package com.jpsoft.shinestar.modules.base.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
  描述:base_message_notice_person的实体类
 */
@Data
@ApiModel(value = "base_message_notice_person的实体类")
public class MessageNoticePerson {
	/**
	 *
	 */
        @ApiModelProperty(value = "")
	private String id;
	/**
	 *活动ID
	 */
        @ApiModelProperty(value = "消息ID")
	private String noticeId;
	/**
	 *用户ID
	 */
        @ApiModelProperty(value = "用户ID")
	private Long personId;
	/**
	 *是否领取
	 */
        @ApiModelProperty(value = "是否领取")
	private Boolean isReceive;
	/**
	 *创建人
	 */
        @ApiModelProperty(value = "创建人")
	private String createBy;
	/**
	 *创建时间
	 */
    	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	    @ApiModelProperty(value = "创建时间")
	private Date createTime;
	/**
	 *更新人
	 */
        @ApiModelProperty(value = "更新人")
	private String updateBy;
	/**
	 *更新时间
	 */
    	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	    @ApiModelProperty(value = "更新时间")
	private Date updateTime;
	/**
	 *是否删除
	 */
        @ApiModelProperty(value = "是否删除")
	private Boolean delFlag;

	@ApiModelProperty(value="签字图片路径")
	private String signUrl;
}