package com.jpsoft.shinestar.modules.base.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
  描述:base_punch_location的实体类
 */
@Data
@ApiModel(value = "base_punch_location的实体类")
public class PunchLocation {
	/**
	 *
	 */
        @ApiModelProperty(value = "")
	private String id;
	/**
	 *学校ID
	 */
        @ApiModelProperty(value = "学校ID")
	private String companyId;
	/**
	 *学校ID
	 */
	@ApiModelProperty(value = "学校ID")
	private String companyName;
	/**
	 *打卡点名称
	 */
        @ApiModelProperty(value = "打卡点名称")
	private String name;
	/**
	 *打卡点经度
	 */
        @ApiModelProperty(value = "打卡点经度")
	private String longtitude;
	/**
	 *打卡点维度
	 */
        @ApiModelProperty(value = "打卡点维度")
	private String latitude;
	/**
	 *备注描述
	 */
        @ApiModelProperty(value = "备注描述")
	private String remark;
	/**
	 *是否启用
	 */
        @ApiModelProperty(value = "是否启用")
	private Boolean isEnable;
	/**
	 *是否删除
	 */
        @ApiModelProperty(value = "是否删除")
	private Boolean delFlag;
	/**
	 *创建人
	 */
        @ApiModelProperty(value = "创建人")
	private String createBy;
	/**
	 *创建时间
	 */
    	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	    @ApiModelProperty(value = "创建时间")
	private Date createTime;
	/**
	 *更新人
	 */
        @ApiModelProperty(value = "更新人")
	private String updateBy;
	/**
	 *更新时间
	 */
    	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	    @ApiModelProperty(value = "更新时间")
	private Date updateTime;
}