package com.jpsoft.shinestar.modules.base.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class TotalCheckCompany {
    /**
     *
     */
    @ApiModelProperty(value = "")
    private Long id;

    /**
     * 公司id
     */
    @ApiModelProperty(value = "公司id")
    private String companyId;

    /**
     * 无异常天数
     */
    @ApiModelProperty(value = "无异常天数")
    private Long normalDay;

    /**
     * 除今天外总检测人次
     */
    @ApiModelProperty(value = "除今天外总检测人次")
    private Long totalCheckNum;

    /**
     * 除今天外总异常人数
     */
    @ApiModelProperty(value = "除今天外总异常人数")
    private Long totalAbnormalNum;

    /**
     * 是否删除
     */
    @ApiModelProperty(value = "是否删除")
    private Boolean delFlag;

    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private String createBy;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    /**
     * 更新人
     */
    @ApiModelProperty(value = "更新人")
    private String updateBy;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    /**
     * 发生异常的日期
     */
    @ApiModelProperty(value = "发生异常的日期")
    private Date abnormalTime;
}

