package com.jpsoft.shinestar.modules.business.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class BillPushDetailDTO {

    @ApiModelProperty(value = "ID")
    private String id;

    @ApiModelProperty(value = "账单名称")
    private String name;

    @ApiModelProperty(value = "收款方")
    private String payee;

    @ApiModelProperty(value = "收款账户")
    private Long collectionAccountId;

    @ApiModelProperty(value = "收款账户")
    private String collectionAccountName;

    @ApiModelProperty(value = "缴费单位")
    private String companyId;

    @ApiModelProperty(value = "推送用户")
    private Long personId;

    @ApiModelProperty(value = "推送用户")
    private String personName;

    @ApiModelProperty(value = "备注")
    private String bak;

    @ApiModelProperty(value = "租户ID")
    private String checkinInfoId;

    @ApiModelProperty(value = "微信支付")
    private Boolean isOpenWechat;

    @ApiModelProperty(value = "支付宝支付")
    private Boolean isOpenAlipay;

    @ApiModelProperty(value = "开票类型")
    private String invoiceType;

    @ApiModelProperty(value = "是否开票")
    private Boolean invoiced;

    @ApiModelProperty(value = "是否能开启手机支付")
    private Boolean isMobilePayment;

    private List<BillPushGoodsDTO> billPushGoodsList;

    private List<BillPushGoodsDTO> removeBillPushGoodsList;
}
