package com.jpsoft.shinestar.modules.business.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class GuestInfoRecordDTO {

    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
    @ApiModelProperty(value = "来访日期")
    private Date visitDate;

    @ApiModelProperty(value = "来访人姓名")
    private String name;

    @ApiModelProperty(value = "来访人电话")
    private String mobilePhone;

    @ApiModelProperty(value = "来访人单位")
    private String unit;

    @ApiModelProperty(value = "来访人事由")
    private String visitReasons;

    @ApiModelProperty(value = "受访人姓名")
    private String intervieweeName;

    @ApiModelProperty(value = "受访人电话")
    private String intervieweePhone;

    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
    @ApiModelProperty(value = "进厂日期")
    private Date comeInTime;

    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
    @ApiModelProperty(value = "出厂日期")
    private Date outTime;
}
