package com.jpsoft.shinestar.modules.business.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class GuestRecordDetailDTO {

    @ApiModelProperty(value = "邀请人单位")
    private String intervieweeUnit;

    @ApiModelProperty(value = "邀请人姓名")
    private String intervieweeName;

    @ApiModelProperty(value = "邀请人联系方式")
    private String intervieweePhone;

    @ApiModelProperty(value = "来访人姓名")
    private String name;

    @ApiModelProperty(value = "来访人电话")
    private String mobilePhone;

    @ApiModelProperty(value = "来访人身份证")
    private String idCard;

    @ApiModelProperty(value = "人脸识别照片")
    private String photo;

    @ApiModelProperty(value = "来访人单位")
    private String unit;

    @ApiModelProperty(value = "来访人事由")
    private String visitReasons;

    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
    @ApiModelProperty(value = "来访日期")
    private Date visitDate;

    @ApiModelProperty(value = "车牌号")
    private String numberPlate;

    @ApiModelProperty(value = "是否上传登记照")
    private Boolean isUpPhoto;

    @ApiModelProperty(value = "status")
    private Integer status;

    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
    @ApiModelProperty(value = "过期时间")
    private Date expirationTime;
}
