package com.jpsoft.shinestar.modules.business.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class MedicalRecordsAddDTO {

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "人员ID")
    private String popedomId;

    @ApiModelProperty(value = "就医医院")
    private String hospitalName;

    @ApiModelProperty(value = "就医时间")
    private String hospitalTime;

    @ApiModelProperty(value = "病因")
    private String pathogeny;

    @ApiModelProperty(value = "就医结果")
    private String result;

    @ApiModelProperty(value = "就医结果图片")
    private String resultImg;

    @ApiModelProperty(value = "使用药品")
    private String drugs;

    @ApiModelProperty(value = "使用药品图片")
    private String drugsImg;

    @ApiModelProperty(value = "诊疗费用")
    private BigDecimal cost;

    @ApiModelProperty(value = "诊疗费用图片")
    private String costImg;
}
