package com.jpsoft.shinestar.modules.business.dto;

import com.jpsoft.shinestar.modules.base.entity.PersonInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;


@Data
@ApiModel(value = "用户考勤统计总合")
public class PersonInfoMonthWSADTO {
    @ApiModelProperty(value = "用户信息")
    private PersonInfo personInfo;
    @ApiModelProperty(value = "应出勤天数")
    private BigDecimal attendanceDays;
    @ApiModelProperty(value = "全勤天数")
    private BigDecimal totalAttendanceDays;
    @ApiModelProperty(value = "迟到分钟")
    private Double lateMinutes;
    @ApiModelProperty(value = "迟到次数")
    private Integer lateNum;
    @ApiModelProperty(value = "早退分钟")
    private Double leaveEarlyMinutes ;
    @ApiModelProperty(value = "早退次数")
    private Integer leaveEarlyNum;
    @ApiModelProperty(value = "加班小时")
    private String overtime;
    @ApiModelProperty(value = "旷工天数")
    private BigDecimal absenteeismDays ;
    @ApiModelProperty(value = "未刷次数")
    private Integer notSwipingNum;
    @ApiModelProperty(value = "签到次数")
    private Integer signNum;
    @ApiModelProperty(value = "出差天数")
    private BigDecimal businessTripNum;
    @ApiModelProperty(value = "请假天数")
    private BigDecimal leaveNum;
    @ApiModelProperty(value = "年假天数")
    private BigDecimal yearLeaveNum;
    @ApiModelProperty(value = "休息天数")
    private BigDecimal restDays;
    @ApiModelProperty(value = "企业全称,为空则保存企业名称")
    private String companyName;
    @ApiModelProperty(value = "备注,每月排班")
    private String remark;
    @ApiModelProperty(value = "工作时长")
    private String workTimes;
}