package com.jpsoft.shinestar.modules.business.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class RequestForLeaveAddDTO {

    @ApiModelProperty(value = "请假类型")
    private String leaveType;

    @ApiModelProperty(value = "开始时间")
    private String startTime;

    @ApiModelProperty(value = "结束时间")
    private String endTime;

    @ApiModelProperty(value = "开始时间段（0：上午，1：下午）")
    private String startTimeQuantum;

    @ApiModelProperty(value = "结束时间段（0：上午，1：下午）")
    private String endTimeQuantum;

    @ApiModelProperty(value = "上传照片")
    private String imageUrl;

    @ApiModelProperty(value = "请假理由")
    private String reason;

    @ApiModelProperty(value = "请假人ID")
    private Long personId;

    @ApiModelProperty(value = "审批人ID")
    private Long approvedId;
    @ApiModelProperty(value = "审核人身份id")
    private String approvedPersonPopedomId;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "天数")
    private String days;

}
