package com.jpsoft.shinestar.modules.business.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class RequestForLeaveInfoDTO {

    @ApiModelProperty(value = "编号")
    private String id;
    @ApiModelProperty(value = "姓名")
    private String name;
    @ApiModelProperty(value = "个人照片")
    private String picUrl;

    @ApiModelProperty(value = "请假类型")
    private String typeN;

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "申请时间")
    private String createTime;

    private String startTime;

    private String startTimeQuantum;

    private String endTime;

    private String endTimeQuantum;

    @ApiModelProperty(value = "状态 0-未处理，1-已批准，2-已拒绝")
    private Integer status;

    @ApiModelProperty(value = "状态 0-未处理，1-已批准，2-已拒绝")
    private String statusN;

    private String cancelStatus;

    private String cancelStatusN;

    private String cancelTime;

    private String cancelImages;

    private Boolean enableCancel;

    private String mergeStatus;

    private String mergeStatusN;

}
