package com.jpsoft.shinestar.modules.business.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
  描述:business_camera_purchaser的实体类
 */
@Data
@ApiModel(value = "business_camera_purchaser的实体类")
public class CameraPurchaser {
	/**
	 *
	 */
        @ApiModelProperty(value = "")
	private String id;
	/**
	 *购买者id
	 */
        @ApiModelProperty(value = "购买者id")
	private Long personId;
	/**
	 *购买结束时间
	 */
    	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	    @ApiModelProperty(value = "购买结束时间")
	private Date endTime;
	/**
	 *
	 */
    	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	    @ApiModelProperty(value = "")
	private Date createTime;
	/**
	 *
	 */
        @ApiModelProperty(value = "")
	private String createBy;
	/**
	 *
	 */
    	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	    @ApiModelProperty(value = "")
	private Date updateTime;
	/**
	 *
	 */
        @ApiModelProperty(value = "")
	private String updateBy;
	/**
	 *
	 */
        @ApiModelProperty(value = "")
	private Boolean delFlag;

	@ApiModelProperty(value = "学生id")
	private Long studentId;
}