package com.jpsoft.shinestar.modules.business.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
  描述:business_canteen_record_attendance的实体类
 */
@Data
@ApiModel(value = "business_canteen_record_attendance的实体类")
public class CanteenRecordAttendance {

	@ApiModelProperty(value = "编号")
	private String id;

	@ApiModelProperty(value = "就餐日期")
	private String attendanceDate;

	@ApiModelProperty(value = "就餐人员ID")
	private Long personId;

	@ApiModelProperty(value = "记录时间")
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	private Date recordTime;

	@ApiModelProperty(value = "就餐刷卡设备ID")
	private String deviceNo;

	@ApiModelProperty(value = "备注")
	private String remark;

	@ApiModelProperty(value = "创建人")
	private String createBy;

	@ApiModelProperty(value = "创建时间")
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	private Date createTime;

	@ApiModelProperty(value = "更新人")
	private String updateBy;

	@ApiModelProperty(value = "更新时间")
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	private Date updateTime;

	@ApiModelProperty(value = "是否删除")
	private Boolean delFlag;
}