package com.jpsoft.shinestar.modules.outapi.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author 墨鱼_mo
 * @date 2020-6-29 10:43
 */
@Data
public class GreenCodeDTO implements Serializable {
    /**
     * 日期
     */
    @ApiModelProperty(value = "更新日期")
    private String date;

    /**
     * 原因
     */
    @ApiModelProperty(value = "错误原因")
    private String reason;

    /**
     * 来源（1：湖北省健康码平台；2：武汉市健康码平台）
     */
    @ApiModelProperty(value = "数据来源地")
    private String sjly;

    /**
     * 健康码颜色 00绿码 01黄码 10红码 11灰码
     */
    @ApiModelProperty(value = "健康码颜色（00绿码 01黄码 10红码 11灰码）")
    private String healthyCode;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "身份证")
    private String idCard;

    @ApiModelProperty(value = "是否有身份证")
    private Boolean hasIdCard;
}
