package com.jpsoft.shinestar.modules.sys.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
  描述:sys_user_company的实体类
 */
@Data
@ApiModel(value = "sys_user_company的实体类")
public class UserCompany {
        @ApiModelProperty(value = "")
    private String id;
        @ApiModelProperty(value = "用户编号")
    private String userId;
        @ApiModelProperty(value = "单位编号")
    private String companyId;
        @ApiModelProperty(value = "是否删除")
    private Boolean delFlag;
        @ApiModelProperty(value = "创建人")
    private String createBy;
        @ApiModelProperty(value = "更新人")
    private String updateBy;
        @DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	    @ApiModelProperty(value = "创建时间")
    private Date createTime;
        @DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
}