package com.jpsoft.shinestar.modules.workflow.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class ProcessActivityDTO {
    /**
     *步骤编号
     */
    @ApiModelProperty(value = "步骤编号")
    private String id;
    /**
     *步骤序号
     */
    @ApiModelProperty(value = "步骤序号")
    private Integer activityOrder;
    /**
     *流程模板编号
     */
    @ApiModelProperty(value = "流程模板编号")
    private String processTemplateId;
    /**
     *步骤名称
     */
    @ApiModelProperty(value = "步骤名称")
    private String name;

    @ApiModelProperty(value = "审批人ID")
    private String approvedPersons;

    @ApiModelProperty(value = "部门ID")
    private String  companys;

    @ApiModelProperty(value = "角色ID")
    private String  roles;

    @ApiModelProperty(value = "相对职位（1-直属领导）")
    private String relativePosition;

    @ApiModelProperty(value = "流程步骤角色")
    private String personRoleName;
}
